<?php
session_start();
$ruta="../../";
include_once($ruta."class/persona.php");
$persona=new persona;
include_once($ruta."class/domicilio.php");
$domicilio=new domicilio;
include_once($ruta."funciones/funciones.php");
extract($_POST);
   $idnombreEdit=strtoupper($idnombreEdit);
	$idpaternoEdit=strtoupper($idpaternoEdit);
	$idmaternoEdit=strtoupper($idmaternoEdit);
	$idocupacionEdit=strtoupper($idocupacionEdit);
$valores=array(
			//"carnet"=>"'$idcarnetEdit'",
			"expedido"=>"'$idexpEdit'",
			"nombre"=>"'$idnombreEdit'",
			"paterno"=>"'$idpaternoEdit'",
			"materno"=>"'$idmaternoEdit'",
			"nacimiento"=>"'$idnacimientoEdit'",
			"email"=>"'$idemailEdit'",
			"celular"=>"'$idcelularEdit'",
			"idsexo"=>"'$idsexoEdit'",
			"ocupacion"=>"'$idocupacionEdit'"
		 );	
		if($persona->actualizar($valores,$idpersonaEdit))
		{
			$existe=$domicilio->mostrarTodo("idpersona=".$idpersonaEdit);
			if (count($existe)>0) //si existe el registro pra actualizar
			{
				$dom=$domicilio->mostrarTodo("idpersona=".$idpersonaEdit);
				$dom=array_shift($dom);
					$valoresD=array(
				    "idbarrio"=>"'$idzonaEdit'",
				    "nombre"=>"'$iddireccionEdit'",
				    "telefono"=>"'$idfonoEdit'"
				  ); 
					if($domicilio->actualizar($valoresD,$dom['iddomicilio']))
					{
					?>
					        <script type="text/javascript">
									sweetAlert("EXITO!", "ACTUALIZO CORECTAMENTE", "success");
							</script>						
					<?php
					}else{
						?>
							<script type="text/javascript">
									sweetAlert("Error", "NO SE ACUALIZO DATOS DE DOMICILIO", "error");
							</script>
						<?php
						
					}
			}else{
					$valoresD=array(
					"idpersona"=>"'$idpersonaEdit'",
				    "idbarrio"=>"'$idzonaEdit'",
				    "nombre"=>"'$iddireccionEdit'",
				    "telefono"=>"'$idfonoEdit'"
				  ); 
					if($domicilio->insertar($valoresD))
					{
					?>
						<script type="text/javascript">
									sweetAlert("EXITO!", "ACTUALIZO CORECTAMENTE", "success");
							</script>
					<?php
					}else{
						?>
							<script type="text/javascript">
									sweetAlert("Error", "NO SE ACUALIZO DATOS DE DOMICILIO", "error");
							</script>
						<?php
						
					}
			}
			

		}else{
			?>
			<script type="text/javascript">
				sweetAlert("Error", "NO SE ACTUALIZO DATOS", "error");
			</script>
		<?php
				
		}

?>